Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515051 - bug-1247563.t is failing on master
Summary: bug-1247563.t is failing on master
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On: 1514329
Blocks: 1503137 1515042 1515045
TreeView+ depends on / blocked
 
Reported: 2017-11-20 04:00 UTC by Nithya Balachandran
Modified: 2018-09-18 07:28 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1514329
Environment:
Last Closed: 2018-09-04 06:39:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:41:33 UTC

Description Nithya Balachandran 2017-11-20 04:00:07 UTC
+++ This bug was initially created as a clone of Bug #1514329 +++

Description of problem:
Please see http://lists.gluster.org/pipermail/maintainers/2017-November/003617.html

--- Additional comment from Nithya Balachandran on 2017-11-17 01:10:27 EST ---

On running prove -fv tests/bugs/distribute/bug-1247563.t:

On my system:

 
getfacl: Removing leading '/' from absolute path names
# file: bricks/brick1/backends/patchy3/dir1/FILE2
security.selinux=0x756e636f6e66696e65645f753a6f626a6563745f723a756e6c6162656c65645f743a733000
trusted.SGI_ACL_FILE=0x0000000500000001ffffffff0006000000000002000000000007000000000004ffffffff0004000000000010ffffffff0007000000000020ffffffff00040000
trusted.gfid=0xb597bb42e7bb4b4a91e464e1b536d6d7
trusted.gfid2path.7de510351b1c8e08=0x65393039386432382d346166612d343030372d396230322d3066316463313961666337312f46494c4532
trusted.glusterfs.dht.linkto=0x7061746368792d636c69656e742d3100
trusted.glusterfs.selinux=0x756e636f6e66696e65645f753a6f626a6563745f723a756e6c6162656c65645f743a733000


On Ravi's system where the issue is reproducible:


[root@ravi1 backends]# getfattr -e hex  -m . -d   ./patchy3/dir1/FILE2 ; getfacl ./patchy3/dir1/FILE2 
# file: patchy3/dir1/FILE2
security.selinux=0x756e636f6e66696e65645f753a6f626a6563745f723a64656661756c745f743a733000
system.posix_acl_access=0x0200000001000600ffffffff020007000000000004000400ffffffff10000700ffffffff20000400ffffffff
trusted.SGI_ACL_FILE=0x0000000500000001ffffffff0006000000000002000000000007000000000004ffffffff0004000000000010ffffffff0007000000000020ffffffff00040000
trusted.gfid=0x4fa885df7204439293c32569310ee747
trusted.gfid2path.9db1d06b9f2b8b0a=0x30623737313037312d323435622d343134372d396233302d3463326466383363633639642f46494c4532
trusted.glusterfs.dht.linkto=0x7061746368792d636c69656e742d3100
trusted.glusterfs.selinux=0x756e636f6e66696e65645f753a6f626a6563745f723a64656661756c745f743a733000


There is an ACL (system.posix_acl_access)set on the file which causes the following test to fail.

#The linkto file should not have any posix acls set                                                                                                                  
COUNT=`getfacl $FPATH2 |grep -c "user:root:rwx"`                                   
EXPECT "0" echo $COUNT 


From Google:

..."the XFS filesystem which stores ACLs  as trusted.SGI_ACL_FILE extended  attribute and generates system.posix_acl_access on the fly."


Assuming that this is not an attribute the user space should set on a file, I am stripping this out from the results of the listxattr call in dht_migrate_file.

--- Additional comment from Worker Ant on 2017-11-17 01:45:31 EST ---

REVIEW: https://review.gluster.org/18794 (cluster/dht: Don't set ACLs on linkto file) posted (#1) for review on master by N Balachandran

--- Additional comment from Worker Ant on 2017-11-18 22:06:43 EST ---

COMMIT: https://review.gluster.org/18794 committed in master by \"N Balachandran\" <nbalacha@redhat.com> with a commit message- cluster/dht: Don't set ACLs on linkto file

The trusted.SGI_ACL_FILE appears to set posix
ACLs on the linkto file that is a target of
file migration. This can mess up file permissions
and cause linkto identification to fail.
Now we remove all ACL xattrs from the results of
the listxattr call on the source before setting them
on the target.

Change-Id: I56802dbaed783a16e3fb90f59f4ce849f8a4a9b4
BUG: 1514329
Signed-off-by: N Balachandran <nbalacha@redhat.com>

Comment 6 Prasad Desala 2018-05-07 17:05:22 UTC
Verified this BZ on glusterfs version 3.12.2-7. 
Ran the same test case for 25 iterations and didn't see the issue mentioned in the description.

Moving this BZ to Verified.

Comment 8 errata-xmlrpc 2018-09-04 06:39:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.